# v4.6.0 (Tue Jul 11 2023)

#### 🐛 Bug Fix

- Merge branch 'latest' into v4-toby-doc-updates ([@GormanDesign](https://github.com/GormanDesign))

#### Authors: 1

- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.5.1 (Mon Jul 10 2023)

#### 🐛 Bug Fix

- Merge branch 'latest' into node-18-pruned-lock ([@freneticpixel](https://github.com/freneticpixel))

#### 🏠 Internal

- App-api and Toby docker images now use node 18 and frozen lock file [#2697](https://github.com/knapsack-labs/app-monorepo/pull/2697) ([@freneticpixel](https://github.com/freneticpixel))

#### Authors: 1

- Jim Frenette ([@freneticpixel](https://github.com/freneticpixel))

---

# v4.5.0 (Thu Jul 06 2023)

### Release Notes

#### Knapsack Atlas defaults to Chat Bot ([#2627](https://github.com/knapsack-labs/app-monorepo/pull/2627))

https://github.com/knapsack-labs/app-monorepo/assets/5743332/6d681548-f00a-49b2-8e7e-ef1f6acf43c8

- Knapsack Atlas defaults to the AI Chat Bot
- AtlasTrigger (renamed from FloatingHelper) toggles Atlas instead of opening a menu
- Previous FloatingHelper menu items moved into Atlas
<img width="717" alt="image" src="https://github.com/knapsack-labs/app-monorepo/assets/5743332/56461e77-6dd3-45be-936c-3d7bd6a8bac5">

- Knapsack versions moved to "Knapsack" menu in app bar
<img width="242" alt="image" src="https://github.com/knapsack-labs/app-monorepo/assets/5743332/0a0bd4d5-8f80-46c3-94a9-9fe68eda3da0">

---

#### 🚀 Enhancement

- DocBot: Makes DocBot default Atlas panel, Adds streaming response, updates UX, and updates language model response [#2683](https://github.com/knapsack-labs/app-monorepo/pull/2683) ([@mabry1985](https://github.com/mabry1985) [@EvanLovely](https://github.com/EvanLovely) [@renovate[bot]](https://github.com/renovate[bot]) [@GormanDesign](https://github.com/GormanDesign) [@illepic](https://github.com/illepic))

#### 🐛 Bug Fix

- Merge branch 'latest' into feature/ksp-3417-docbot-ux-update-and-refactor ([@mabry1985](https://github.com/mabry1985))
- merge latest ([@mabry1985](https://github.com/mabry1985))
- Merge branch 'latest' into feature/ksp-3417-docbot-ux-update-and-refactor ([@illepic](https://github.com/illepic))
- Merge branch 'latest' into feature/ksp-3272-docbot-related-questions ([@mabry1985](https://github.com/mabry1985))
- Merge branch 'latest' into feature/ksp-3272-docbot-related-questions [#2525](https://github.com/knapsack-labs/app-monorepo/pull/2525) ([@mabry1985](https://github.com/mabry1985))
- Merge branch 'latest' into feature/ksp-3272-docbot-related-questions ([@GormanDesign](https://github.com/GormanDesign))
- Merge branch 'feature/ksp-3272-docbot-related-questions' into feature/vercel-ai-sdk ([@mabry1985](https://github.com/mabry1985))
- Merge branch 'latest' into feature/vercel-ai-sdk ([@mabry1985](https://github.com/mabry1985))
- Knapsack Atlas defaults to Chat Bot [#2627](https://github.com/knapsack-labs/app-monorepo/pull/2627) ([@GormanDesign](https://github.com/GormanDesign))
- Merge branch 'latest' into feature/ksp-3272-docbot-related-questions ([@EvanLovely](https://github.com/EvanLovely))

#### Authors: 5

- [@renovate[bot]](https://github.com/renovate[bot])
- Christopher Bloom ([@illepic](https://github.com/illepic))
- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))
- Josh Mabry ([@mabry1985](https://github.com/mabry1985))
- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.4.11 (Thu Jul 06 2023)

### Release Notes

#### Add ability to set font family across all items ([#2693](https://github.com/knapsack-labs/app-monorepo/pull/2693))

Adds a "Use For All Elements" action to the custom fonts form that sets the Font Family to every appearance option.
![image](https://github.com/knapsack-labs/app-monorepo/assets/5743332/8ea206e8-ec2c-48d1-857a-5d128100f4bf)

---

#### 🐛 Bug Fix

- Add ability to set font family across all items [#2693](https://github.com/knapsack-labs/app-monorepo/pull/2693) ([@GormanDesign](https://github.com/GormanDesign))

#### Authors: 1

- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.4.10 (Thu Jul 06 2023)

#### 🐛 Bug Fix

- Merge branch 'latest' into feature/ksp-3126-checkboxes-triggered-for-all-uploaded-files-when-copied ([@GormanDesign](https://github.com/GormanDesign))

#### 🏠 Internal

- Fixes Attachments block copy button state issues [#2653](https://github.com/knapsack-labs/app-monorepo/pull/2653) ([@GormanDesign](https://github.com/GormanDesign))

#### Authors: 1

- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.4.8 (Mon Jul 03 2023)

### Release Notes

#### Component Demo columns update based on block size KSP-2530 KSP-3409 ([#2673](https://github.com/knapsack-labs/app-monorepo/pull/2673))

Component Demo columns respond to the size of the block they are in. 
- Full Width: 1 column
- Large: 1 or 2 columns
- Medium: 1, 2, or 3 columns
- Small: 1, 2 or 4 columns

#### Adds empty state to color fields in theme settings KSP-3418 KSP-3241 ([#2686](https://github.com/knapsack-labs/app-monorepo/pull/2686))

- Adds empty state to Color Picker fields to prevent confusion of unset system options
![image](https://github.com/knapsack-labs/app-monorepo/assets/5743332/3aed25d4-b74c-4b11-b484-0ec029f5b52f)
- Adds text input for HEX format to Color Picker popover
![image](https://github.com/knapsack-labs/app-monorepo/assets/5743332/3466e780-145e-4bb0-9877-cb20ec1ca556)

---

#### 🐛 Bug Fix

- Component Demo columns update based on block size KSP-2530 KSP-3409 [#2673](https://github.com/knapsack-labs/app-monorepo/pull/2673) ([@GormanDesign](https://github.com/GormanDesign))
- Adds empty state to color fields in theme settings KSP-3418 KSP-3241 [#2686](https://github.com/knapsack-labs/app-monorepo/pull/2686) ([@GormanDesign](https://github.com/GormanDesign))
- Fixes token block values not wrapping when necessary [#2674](https://github.com/knapsack-labs/app-monorepo/pull/2674) ([@GormanDesign](https://github.com/GormanDesign))

#### Authors: 1

- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.4.7 (Fri Jun 30 2023)

#### 🐛 Bug Fix

- Primary nav fallback colors match site name fallbacks [#2687](https://github.com/knapsack-labs/app-monorepo/pull/2687) ([@GormanDesign](https://github.com/GormanDesign))

#### Authors: 1

- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.4.3 (Wed Jun 28 2023)

#### 🏠 Internal

- Add failing tests for additional spec types [#2676](https://github.com/knapsack-labs/app-monorepo/pull/2676) ([@GormanDesign](https://github.com/GormanDesign))

#### Authors: 1

- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.4.2 (Wed Jun 28 2023)

#### 🏠 Internal

- Adds additional Studio to Spec tests [#2667](https://github.com/knapsack-labs/app-monorepo/pull/2667) ([@GormanDesign](https://github.com/GormanDesign))

#### Authors: 1

- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.4.0 (Fri Jun 23 2023)

### Release Notes

#### Fixes link formatting in text editor ([#2647](https://github.com/knapsack-labs/app-monorepo/pull/2647))

Fixes the issue where after adding a link additional text would get appended to the link itself.

#### Private Pages ([#2550](https://github.com/knapsack-labs/app-monorepo/pull/2550))

- Adds ability to mark pages as private
- Private pages are denoted with a lock icon on the pages navigation item.
- Private pages remain in the navigation, but are only accessible to the set user role.
- Marking a page as private prevents lower roles from accessing the page itself and any of it's child pages.
- A private page can also be marked as hidden if users don't want the nav item to appear on latest.


**Private Page Controls**
![image](https://github.com/knapsack-labs/app-monorepo/assets/5743332/2fabb1a0-c51b-43c7-aca2-5dabb0b0a23b)


**Private Page with Access**
<img width="1624" alt="image" src="https://github.com/knapsack-labs/app-monorepo/assets/5743332/00b49a1d-2f87-4767-822b-9ada62267255">

**Private Page without Access**
<img width="1624" alt="image" src="https://github.com/knapsack-labs/app-monorepo/assets/5743332/2ea8fadd-076d-4460-9ade-3752932b561e">

---

#### 🚀 Enhancement

- Private Pages [#2550](https://github.com/knapsack-labs/app-monorepo/pull/2550) ([@GormanDesign](https://github.com/GormanDesign) [@EvanLovely](https://github.com/EvanLovely))

#### 🐛 Bug Fix

- Switching branches preserves tab context [#2648](https://github.com/knapsack-labs/app-monorepo/pull/2648) ([@GormanDesign](https://github.com/GormanDesign))
- Fixes link formatting in text editor [#2647](https://github.com/knapsack-labs/app-monorepo/pull/2647) ([@GormanDesign](https://github.com/GormanDesign))
- Merge branch 'latest' into feature/ksp-3300-add-ability-to-mark-pages-as-private ([@GormanDesign](https://github.com/GormanDesign))
- Merge branch 'latest' into feature/ksp-3300-add-ability-to-mark-pages-as-private ([@EvanLovely](https://github.com/EvanLovely))

#### Authors: 2

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))
- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.3.3 (Fri Jun 23 2023)

#### 🐛 Bug Fix

- Fixes ability to add and update workspace logo in settings [#2662](https://github.com/knapsack-labs/app-monorepo/pull/2662) ([@GormanDesign](https://github.com/GormanDesign))

#### Authors: 1

- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.3.2 (Fri Jun 23 2023)

#### 🐛 Bug Fix

- Merge branch 'latest' into azure-provider-bug-fixes-latest ([@freneticpixel](https://github.com/freneticpixel))

#### 🏠 Internal

- fix migration of UiConfig [#2661](https://github.com/knapsack-labs/app-monorepo/pull/2661) ([@EvanLovely](https://github.com/EvanLovely))

#### Authors: 2

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))
- Jim Frenette ([@freneticpixel](https://github.com/freneticpixel))

---

# v4.3.0 (Thu Jun 22 2023)

### Release Notes

#### Enables adding images via URL to Image Blocks ([#2642](https://github.com/knapsack-labs/app-monorepo/pull/2642))

https://github.com/knapsack-labs/app-monorepo/assets/5743332/957ba018-3e5b-4412-8203-92f26ab1fd3a

---

#### 🚀 Enhancement

- Enables adding images via URL to Image Blocks [#2642](https://github.com/knapsack-labs/app-monorepo/pull/2642) ([@GormanDesign](https://github.com/GormanDesign))

#### Authors: 1

- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.2.7 (Thu Jun 22 2023)

#### 🐛 Bug Fix

- Token reference select handles empty options [#2654](https://github.com/knapsack-labs/app-monorepo/pull/2654) ([@GormanDesign](https://github.com/GormanDesign))
- Merge branch 'latest' into fix/record-site-metrics-latest ([@freneticpixel](https://github.com/freneticpixel))

#### Authors: 2

- Jim Frenette ([@freneticpixel](https://github.com/freneticpixel))
- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.2.6 (Wed Jun 21 2023)

#### 🐛 Bug Fix

- fix unable to get local issuer certificate issue [#2651](https://github.com/knapsack-labs/app-monorepo/pull/2651) ([@EvanLovely](https://github.com/EvanLovely))

#### Authors: 1

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))

---

# v4.2.5 (Wed Jun 21 2023)

### Release Notes

#### Toasts message handles markdown ([#2646](https://github.com/knapsack-labs/app-monorepo/pull/2646))

Toby toasts are now able to parse markdown in the provided message. 
<img width="383" alt="image" src="https://github.com/knapsack-labs/app-monorepo/assets/5743332/46417c64-7ccc-43d3-969c-f161e31ca898">

---

#### 🐛 Bug Fix

- Hide missing block error when user cannot edit [#2649](https://github.com/knapsack-labs/app-monorepo/pull/2649) ([@GormanDesign](https://github.com/GormanDesign))
- Cleanup tooltip and toast language [#2644](https://github.com/knapsack-labs/app-monorepo/pull/2644) ([@GormanDesign](https://github.com/GormanDesign))
- Toasts message handles markdown [#2646](https://github.com/knapsack-labs/app-monorepo/pull/2646) ([@GormanDesign](https://github.com/GormanDesign))

#### Authors: 1

- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.2.4 (Wed Jun 21 2023)

### Release Notes

#### Template Stage UX Improvements ([#2638](https://github.com/knapsack-labs/app-monorepo/pull/2638))

- Hides stage form trigger when demo is template demo and user can't save
- Hide editing UI when a user can't save data
- Update stage panel trigger label based on demo type
- Allows reseting demo size to auto (default)
- Prevents extra scrolling in schema form

---

#### 🐛 Bug Fix

- Template Stage UX Improvements [#2638](https://github.com/knapsack-labs/app-monorepo/pull/2638) ([@GormanDesign](https://github.com/GormanDesign))

#### 🏠 Internal

- KSP-3162: All active site client data archived to S3 nightly [#2640](https://github.com/knapsack-labs/app-monorepo/pull/2640) ([@freneticpixel](https://github.com/freneticpixel))

#### Authors: 2

- Jim Frenette ([@freneticpixel](https://github.com/freneticpixel))
- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.2.2 (Tue Jun 20 2023)

#### 🐛 Bug Fix

- Fixes template portal spec tab state not updating on save [#2639](https://github.com/knapsack-labs/app-monorepo/pull/2639) ([@GormanDesign](https://github.com/GormanDesign))

#### Authors: 1

- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.2.0 (Mon Jun 19 2023)

#### 🚀 Enhancement

- KSP-3365: support for Token Studio for Figma tokens [#2631](https://github.com/knapsack-labs/app-monorepo/pull/2631) ([@illepic](https://github.com/illepic) [@EvanLovely](https://github.com/EvanLovely))

#### 🐛 Bug Fix

- Merge remote-tracking branch 'origin/latest' into feature/ksp-3365-write-failing-tests-for-all-the-token-types ([@EvanLovely](https://github.com/EvanLovely))
- Merge branch 'latest' into feature/ksp-3365-write-failing-tests-for-all-the-token-types ([@illepic](https://github.com/illepic))

#### Authors: 2

- Christopher Bloom ([@illepic](https://github.com/illepic))
- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))

---

# v4.1.10 (Mon Jun 19 2023)

#### 🐛 Bug Fix

- Merge branch 'latest' into merge-latest-into-v3 ([@freneticpixel](https://github.com/freneticpixel))

#### Authors: 1

- Jim Frenette ([@freneticpixel](https://github.com/freneticpixel))

---

# v4.1.9 (Fri Jun 16 2023)

#### 🐛 Bug Fix

- setup migrations [#2629](https://github.com/knapsack-labs/app-monorepo/pull/2629) ([@EvanLovely](https://github.com/EvanLovely))

#### Authors: 1

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))

---

# v4.1.8 (Fri Jun 16 2023)

#### 🐛 Bug Fix

- Merge branch 'latest' into feature/ksp-3322-duplicating-a-page-does-not-duplicate-blocks ([@mabry1985](https://github.com/mabry1985))

#### Authors: 1

- Josh Mabry ([@mabry1985](https://github.com/mabry1985))

---

# v4.1.7 (Thu Jun 15 2023)

#### 🐛 Bug Fix

- Merge branch 'latest' into feature/ksp-3331-style-dictionary-and-tokens-studio-both-are-included-in ([@illepic](https://github.com/illepic))
- Merge branch 'latest' into feature/prune-old-template-stage ([@EvanLovely](https://github.com/EvanLovely))
- Merge remote-tracking branch 'origin/latest' into feature/prune-old-template-stage ([@EvanLovely](https://github.com/EvanLovely))
- Merge remote-tracking branch 'origin/feature/ksp-3349-v4-migration-clicking-copy-link-to-playground-embed-sends' into feature/prune-old-template-stage ([@EvanLovely](https://github.com/EvanLovely))
- Merge branch 'latest' into feature/add-style-dictionary-output ([@illepic](https://github.com/illepic))

#### 🏠 Internal

- Merge remote-tracking branch 'origin/EvanLovely-patch-16' into feature/prune-old-template-stage [#2621](https://github.com/knapsack-labs/app-monorepo/pull/2621) ([@EvanLovely](https://github.com/EvanLovely))

#### Authors: 2

- Christopher Bloom ([@illepic](https://github.com/illepic))
- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))

---

# v4.1.6 (Thu Jun 15 2023)

#### 🐛 Bug Fix

- Box Shadow demo accepts string tokens [#2620](https://github.com/knapsack-labs/app-monorepo/pull/2620) ([@GormanDesign](https://github.com/GormanDesign))

#### Authors: 1

- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.1.5 (Wed Jun 14 2023)

#### 🐛 Bug Fix

- Merge branch 'latest' into feature/ksp-3276-handle-attempting-to-reference-a-token-with-no-options-that ([@mabry1985](https://github.com/mabry1985))

#### Authors: 1

- Josh Mabry ([@mabry1985](https://github.com/mabry1985))

---

# v4.1.4 (Wed Jun 14 2023)

#### 🐛 Bug Fix

- Fixes color swatches not displaying referenced token or description KSP-3342 [#2603](https://github.com/knapsack-labs/app-monorepo/pull/2603) ([@GormanDesign](https://github.com/GormanDesign))

#### Authors: 1

- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.1.3 (Tue Jun 13 2023)

#### 🐛 Bug Fix

- fix post add template url redirects KSP-3185 [#2608](https://github.com/knapsack-labs/app-monorepo/pull/2608) ([@EvanLovely](https://github.com/EvanLovely))
- Merge branch 'latest' into v3 ([@freneticpixel](https://github.com/freneticpixel))

#### Authors: 2

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))
- Jim Frenette ([@freneticpixel](https://github.com/freneticpixel))

---

# v4.1.2 (Tue Jun 13 2023)

#### 🐛 Bug Fix

- updates logic for setting nav link to active [#2604](https://github.com/knapsack-labs/app-monorepo/pull/2604) ([@mabry1985](https://github.com/mabry1985))
- Merge branch 'latest' into feature/ksp-3216-tokens-active-nav-state-issues ([@mabry1985](https://github.com/mabry1985))

#### Authors: 1

- Josh Mabry ([@mabry1985](https://github.com/mabry1985))

---

# v4.1.0 (Tue Jun 13 2023)

#### 🐛 Bug Fix

- Merge branch 'latest' into feature/ksp-3336-attachments-block-allow-entering-a-url-instead-of-uploading ([@EvanLovely](https://github.com/EvanLovely))

#### Authors: 1

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))

---

# v4.0.11 (Fri Jun 09 2023)

#### 🐛 Bug Fix

- KSP-3263 Added cases to handle inherit token [#2588](https://github.com/knapsack-labs/app-monorepo/pull/2588) ([@emmanuelhcpk](https://github.com/emmanuelhcpk) [@EmmanuelVelez](https://github.com/EmmanuelVelez))

#### Authors: 2

- [@EmmanuelVelez](https://github.com/EmmanuelVelez)
- Emmanuel Velez ([@emmanuelhcpk](https://github.com/emmanuelhcpk))

---

# v4.0.10 (Thu Jun 08 2023)

### Release Notes

#### show error message when switching to v3 branch on v4 ([#2591](https://github.com/knapsack-labs/app-monorepo/pull/2591))

When on v4 and switching to an older branch from v3 a basic error now shows up for the user:

![CleanShot 2023-06-08 at 15 45 40](https://github.com/knapsack-labs/app-monorepo/assets/569699/98378ced-ef81-4baa-b4d0-37c291ee29d6)

---

#### 🐛 Bug Fix

- show error message when switching to v3 branch on v4 [#2591](https://github.com/knapsack-labs/app-monorepo/pull/2591) ([@EvanLovely](https://github.com/EvanLovely))

#### Authors: 1

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))

---

# v4.0.8 (Thu Jun 08 2023)

#### 🐛 Bug Fix

- KSP-3326: SCSS/LESS/CSSvars proper inline var output [#2582](https://github.com/knapsack-labs/app-monorepo/pull/2582) ([@illepic](https://github.com/illepic))
- Merge branch 'latest' into feature/ksp-3326-tokens-to-sass-converter-outputs-incorrect-media-queries ([@illepic](https://github.com/illepic))
- Merge branch 'latest' into feature/ksp-3286-navigating-cold-to-token-group-with-dots-in-name-causes-404 ([@illepic](https://github.com/illepic))
- Merge branch 'feature/ksp-3280-tokens-editing-group-creates-new-nested-group-in-empty-key' into feature/ksp-3286-navigating-cold-to-token-group-with-dots-in-name-causes-404 ([@illepic](https://github.com/illepic))

#### Authors: 1

- Christopher Bloom ([@illepic](https://github.com/illepic))

---

# v4.0.7 (Thu Jun 08 2023)

#### 🐛 Bug Fix

- adds logic to disable editing theme unless on branch [#2585](https://github.com/knapsack-labs/app-monorepo/pull/2585) ([@mabry1985](https://github.com/mabry1985))
- merge latest ([@mabry1985](https://github.com/mabry1985))

#### Authors: 1

- Josh Mabry ([@mabry1985](https://github.com/mabry1985))

---

# v4.0.6 (Thu Jun 08 2023)

#### 🐛 Bug Fix

- KSP-3280: token rename and grouping works [#2543](https://github.com/knapsack-labs/app-monorepo/pull/2543) ([@illepic](https://github.com/illepic) [@GormanDesign](https://github.com/GormanDesign) [@EvanLovely](https://github.com/EvanLovely))
- Merge branch 'latest' into feature/ksp-3280-tokens-editing-group-creates-new-nested-group-in-empty-key ([@illepic](https://github.com/illepic))
- Merge branch 'epic/v4' into feature/ksp-3280-tokens-editing-group-creates-new-nested-group-in-empty-key ([@illepic](https://github.com/illepic))

#### Authors: 3

- Christopher Bloom ([@illepic](https://github.com/illepic))
- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))
- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.0.5 (Thu Jun 08 2023)

#### 🐛 Bug Fix

- Merge branch 'latest' into feature/ksp-3329-move-back-to-webpack-for-pre-bundling ([@EvanLovely](https://github.com/EvanLovely))

#### 🏠 Internal

- re-setup webpack for App UI instead of vite KSP-3329 [#2581](https://github.com/knapsack-labs/app-monorepo/pull/2581) ([@EvanLovely](https://github.com/EvanLovely))

#### Authors: 1

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))

---

# v4.0.4 (Thu Jun 08 2023)

#### 🐛 Bug Fix

- KSP-3310 tokens temporarily disable cubicBezier transition token [#2561](https://github.com/knapsack-labs/app-monorepo/pull/2561) ([@emmanuelhcpk](https://github.com/emmanuelhcpk) [@GormanDesign](https://github.com/GormanDesign) [@EmmanuelVelez](https://github.com/EmmanuelVelez))
- Merge branch 'latest' into feature/ksp-3281-tokens-deleting-a-token-does-not-close-panel-and-redirects-redux ([@mabry1985](https://github.com/mabry1985))
- Merge branch 'latest' into GormanDesign-patch-2 ([@EvanLovely](https://github.com/EvanLovely))
- Merge branch 'latest' into GormanDesign-patch-1 ([@EvanLovely](https://github.com/EvanLovely))

#### Authors: 5

- [@EmmanuelVelez](https://github.com/EmmanuelVelez)
- Emmanuel Velez ([@emmanuelhcpk](https://github.com/emmanuelhcpk))
- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))
- Josh Mabry ([@mabry1985](https://github.com/mabry1985))
- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.0.3 (Thu Jun 08 2023)

#### 🐛 Bug Fix

- manually bump version to 4.0.2 [#2580](https://github.com/knapsack-labs/app-monorepo/pull/2580) ([@EvanLovely](https://github.com/EvanLovely))
- manually bump version to 4.0.2 ([@EvanLovely](https://github.com/EvanLovely))
- Merge remote-tracking branch 'origin/v3' into feature/v3-update-latest ([@EvanLovely](https://github.com/EvanLovely))
- Merge remote-tracking branch 'origin/latest' into feature/v3-update-latest ([@EvanLovely](https://github.com/EvanLovely))
- v3.117.0 ([@EvanLovely](https://github.com/EvanLovely))

#### Authors: 1

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))

---

# v4.0.1 (Wed Jun 07 2023)

#### 🐛 Bug Fix

- reset pkg versions back to 4.0.0 ([@EvanLovely](https://github.com/EvanLovely))
- Merge remote-tracking branch 'origin/latest' into feature/v3-update-latest ([@EvanLovely](https://github.com/EvanLovely))
- Bump version to: v3.116.7 \[skip ci\] ([@KnapsackBot](https://github.com/KnapsackBot))

#### 🏠 Internal

- v3 -> latest [#2577](https://github.com/knapsack-labs/app-monorepo/pull/2577) ([@EvanLovely](https://github.com/EvanLovely) [@freneticpixel](https://github.com/freneticpixel))

#### Authors: 3

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))
- Jim Frenette ([@freneticpixel](https://github.com/freneticpixel))
- KnapsackBot ([@KnapsackBot](https://github.com/KnapsackBot))

---

# v3.116.6 (Tue Jun 06 2023)

#### 🐛 Bug Fix

- Add copy action to code snippet block KSP-3248 [#2553](https://github.com/knapsack-labs/app-monorepo/pull/2553) ([@GormanDesign](https://github.com/GormanDesign))

#### Authors: 1

- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v3.116.5 (Mon Jun 05 2023)

#### 🐛 Bug Fix

- ensure slots form only shows patterns of same template language KSP-3271 [#2555](https://github.com/knapsack-labs/app-monorepo/pull/2555) ([@EvanLovely](https://github.com/EvanLovely))
- Merge branch 'latest' into feature/ksp-3288-add-excludefromanalytics-to-sites-table ([@freneticpixel](https://github.com/freneticpixel))

#### 🏠 Internal

- KSP-3288: Adds excludeFromAnalytics to sites and filters on this for daily summaries [#2535](https://github.com/knapsack-labs/app-monorepo/pull/2535) ([@freneticpixel](https://github.com/freneticpixel))

#### Authors: 2

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))
- Jim Frenette ([@freneticpixel](https://github.com/freneticpixel))

---

# v3.116.4 (Mon Jun 05 2023)

#### 🐛 Bug Fix

- Adds success toasts for template demo updates [#2545](https://github.com/knapsack-labs/app-monorepo/pull/2545) ([@GormanDesign](https://github.com/GormanDesign) [@EvanLovely](https://github.com/EvanLovely))

#### Authors: 2

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))
- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v3.116.3 (Mon Jun 05 2023)

#### 🐛 Bug Fix

- Fixes template language id not updating in template form [#2541](https://github.com/knapsack-labs/app-monorepo/pull/2541) ([@GormanDesign](https://github.com/GormanDesign))

#### 🏠 Internal

- Add fs-extra types to packages without it [#2551](https://github.com/knapsack-labs/app-monorepo/pull/2551) ([@freneticpixel](https://github.com/freneticpixel))

#### Authors: 2

- Jim Frenette ([@freneticpixel](https://github.com/freneticpixel))
- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v3.116.0 (Fri May 26 2023)

#### 🚀 Enhancement

- pull all tools pkgs back in [#2526](https://github.com/knapsack-labs/app-monorepo/pull/2526) ([@EvanLovely](https://github.com/EvanLovely))

#### 🐛 Bug Fix

- formatting pkgs ([@EvanLovely](https://github.com/EvanLovely))
- aligning all package versions ([@EvanLovely](https://github.com/EvanLovely))
- pull tools pkgs back into monorepo ([@EvanLovely](https://github.com/EvanLovely))

#### Authors: 1

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))

---

# v3.111.0 (Wed Apr 19 2023)

#### 🐛 Bug Fix

- Merge branch 'main' into feature/monorepo-tool-updates ([@EvanLovely](https://github.com/EvanLovely))

#### Authors: 1

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))

---

# v3.109.0 (Tue Apr 18 2023)

### Release Notes

#### add auto releases ([#1](https://github.com/knapsack-labs/tools/pull/1))

Initial release of our tools on the new public monorepo!

---

#### 🚀 Enhancement

- add auto releases [#1](https://github.com/knapsack-labs/tools/pull/1) ([@EvanLovely](https://github.com/EvanLovely))

#### 🐛 Bug Fix

- add pkg format ([@EvanLovely](https://github.com/EvanLovely))
- clear turbo cache ([@EvanLovely](https://github.com/EvanLovely))
- update npmignore to include .turbo ([@EvanLovely](https://github.com/EvanLovely))
- change to workspace:* version specifier ([@EvanLovely](https://github.com/EvanLovely))
- swap files array for npmignore approach ([@EvanLovely](https://github.com/EvanLovely))
- change version from workspace:* to actual ([@EvanLovely](https://github.com/EvanLovely))
- add licenses ([@EvanLovely](https://github.com/EvanLovely))

#### ⚠️ Pushed to `main`

- initial commit ([@EvanLovely](https://github.com/EvanLovely))

#### Authors: 1

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))
